Package picard.analysis

## Class TheoreticalSensitivityMetrics

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.analysis.TheoreticalSensitivityMetrics

-     public class TheoreticalSensitivityMetrics
      extends htsjdk.samtools.metrics.MetricBase

  TheoreticalSensitivityMetrics, are metrics calculated from TheoreticalSensitivity and parameters used in the calculation. These metrics are intended to estimate the achievable sensitivity (for a particular log odds threshold) of somatic calls for a particular depth and base quality score distribution.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `ALLELE_FRACTION` | The allele fraction which theoretical sensitivity is calculated for.
    `double` | `LOG_ODDS_THRESHOLD` | Log-likelihood ratio is used as a threshold to distinguish a positive site with a given allele fraction from HOM_REF.
    `int` | `SAMPLE_SIZE` | Number of samples drawn at each depth in the depth distribution.
    `double` | `THEORETICAL_SENSITIVITY` | Estimation of sensitivity at a particular allele fraction.
    `int` | `THEORETICAL_SENSITIVITY_Q` | Phred-scaled value of 1-THEORETICAL_SENSITIVITY.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TheoreticalSensitivityMetrics()` |

  - ### Method Summary

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALLELE_FRACTION

          public double ALLELE_FRACTION

      The allele fraction which theoretical sensitivity is calculated for.

    - #### THEORETICAL_SENSITIVITY

          public double THEORETICAL_SENSITIVITY

      Estimation of sensitivity at a particular allele fraction.

    - #### THEORETICAL_SENSITIVITY_Q

          public int THEORETICAL_SENSITIVITY_Q

      Phred-scaled value of 1-THEORETICAL_SENSITIVITY.

    - #### LOG_ODDS_THRESHOLD

          public double LOG_ODDS_THRESHOLD

      Log-likelihood ratio is used as a threshold to distinguish a positive site with a given allele fraction from HOM_REF.

    - #### SAMPLE_SIZE

          public int SAMPLE_SIZE

      Number of samples drawn at each depth in the depth distribution. Larger values allow for increased precision at the cost of compute time.

  - ### Constructor Detail

    - #### TheoreticalSensitivityMetrics

          public TheoreticalSensitivityMetrics()